Skip to main content
`Ctrl`+`K`

# pixel_to_skycoord

astropy.wcs.utils.pixel_to_skycoord(xp, yp, wcs, origin=0, mode='all', cls=None)

  Convert a set of pixel coordinates into a `SkyCoord` coordinate.

  Parameters:
    xp, yp `python:float` or `ndarray`

      The coordinates to convert.

    wcs `WCS`

      The WCS transformation to use.

    origin `python:int`

      Whether to return 0 or 1-based pixel coordinates.

    mode‘all’ or ‘wcs’

      Whether to do the transformation including distortions (`'all'`) or only including only the core WCS transformation (`'wcs'`).

    cls class or `python:None`

      The class of object to create. Should be a `SkyCoord` subclass. If None, defaults to `SkyCoord`.

  Returns:
    coords `SkyCoord` subclass

      The celestial coordinates. Whatever `cls` type is.

  See also

  `astropy.coordinates.SkyCoord.from_pixel`